Subject: Re: [PATCH 6/7] gitweb: group styling

From: Jakub Narebski <[email-masked]>
Date: Fri, 17 Sep 2010 19:22:53 +0200

Giuseppe Bilotta wrote:
> 2010/9/17 Jakub Narebski <[email-masked]>:
>> On Thu, 16 Sep 2010, Giuseppe Bilotta wrote:
>>
>>> +div.group {
>>> +     margin: .5em;
>>> +     border: 1px solid #d9d8d1;
>>> +     display: inline-block;
>>
>> Is this 'display: inline-block;' really necessary?  I think we can do
>> without it (and I've heard that there are problems with it, but those
>> might not matter in layout used by gitweb).
>>
>> Otherwise nice.
> 
> I'm not aware of problems with inline-block (I can check
> quirksmode.org though if necessary), but without it the divs will be
> as large as the _containing_ block, meaning that each div will be
> ultimately as large as the page. By using inline-block, instead, they
> become as large as the _contained_ stuff, thus fitting the inner
> table.

Errr... I am using old web browser that doesn't support 'inline-block',
so I don't know what it should look like.  I'll check later.

But graceful degradation to 'block' doesn't look too bad.
-- 
Jakub Narebski
Poland